Update an announcement
curl --request PATCH \
--url https://app.launchdarkly.com/api/v2/announcements/{announcementId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
[
{
"op": "replace",
"path": "/exampleField",
"value": "new example value"
}
]
'import requests
url = "https://app.launchdarkly.com/api/v2/announcements/{announcementId}"
payload = [
{
"op": "replace",
"path": "/exampleField",
"value": "new example value"
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{op: 'replace', path: '/exampleField', value: 'new example value'}])
};
fetch('https://app.launchdarkly.com/api/v2/announcements/{announcementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"severity": "info",
"_access": {
"allowed": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
],
"denied": [
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
},
{
"reason": {
"role_name": "role_name",
"notActions": [
null,
null
],
"notResources": [
"notResources",
"notResources"
],
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"actions": [
"*"
]
},
"action": "action"
}
]
},
"_links": {
"parent": {
"href": "href",
"type": "type"
}
},
"startTime": 1731439812,
"_id": "1234567890",
"isDismissible": true,
"endTime": 1731439880,
"title": "System Maintenance Notice",
"message": "**Important Update:**\n\nPlease be aware of the upcoming maintenance scheduled for *October 31st, 2024*. The system will be unavailable from **12:00 AM** to **4:00 AM**.",
"_status": "active"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}{
"code": "code",
"message": "message"
}Update an announcement
Update an announcement
PATCH
/
api
/
v2
/
announcements
/
{announcementId}
Update an announcement
Authorizations
Path Parameters
Body
application/json
Update announcement request body
Response
Updated announcement
Announcement response
The ID of the announcement
Example:
"1234567890"
true if the announcement is dismissible
Example:
true
The title of the announcement
Example:
"System Maintenance Notice"
The message of the announcement
Example:
"**Important Update:**\n\nPlease be aware of the upcoming maintenance scheduled for *October 31st, 2024*. The system will be unavailable from **12:00 AM** to **4:00 AM**."
The start time of the announcement. This is a Unix timestamp in milliseconds.
Example:
1731439812
The severity of the announcement
Available options:
info, warning, critical The status of the announcement
Available options:
active, inactive, scheduled Show child attributes
Show child attributes
Example:
{ "parent": { "href": "href", "type": "type" } }
The end time of the announcement. This is a Unix timestamp in milliseconds.
Example:
1731439880
Show child attributes
Show child attributes
Example:
{ "allowed": [ { "reason": { "role_name": "role_name", "notActions": [null, null], "notResources": ["notResources", "notResources"], "effect": "allow", "resources": ["proj/*:env/*;qa_*:/flag/*"], "actions": ["*"] }, "action": "action" }, { "reason": { "role_name": "role_name", "notActions": [null, null], "notResources": ["notResources", "notResources"], "effect": "allow", "resources": ["proj/*:env/*;qa_*:/flag/*"], "actions": ["*"] }, "action": "action" } ], "denied": [ { "reason": { "role_name": "role_name", "notActions": [null, null], "notResources": ["notResources", "notResources"], "effect": "allow", "resources": ["proj/*:env/*;qa_*:/flag/*"], "actions": ["*"] }, "action": "action" }, { "reason": { "role_name": "role_name", "notActions": [null, null], "notResources": ["notResources", "notResources"], "effect": "allow", "resources": ["proj/*:env/*;qa_*:/flag/*"], "actions": ["*"] }, "action": "action" } ] }